Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.db.jpa.converter
Class ContextMapAttributeConverter

    java.lang.Object
      org.apache.logging.log4j.core.appender.db.jpa.converter.ContextMapAttributeConverter

All Implemented Interfaces:
  AttributeConverter<Map<String,String>,String>

    public class ContextMapAttributeConverter

extends Object
implements AttributeConverter<Map<String,String>,String>

A JPA 2.1 attribute converter for `Map<String, String>`s in `LogEvent`s. This converter is only capable of converting to `String`s. The `convertToEntityAttribute(String)` method throws an `UnsupportedOperationException`. If you need to support converting to an entity attribute, you should use the `ContextMapJsonAttributeConverter` for conversion both ways.

Constructor Summary
`ContextMapAttributeConverter()`

Method Summary
`String` | `convertToDatabaseColumn(Map<String,String> contextMap)`
`Map<String,String>` | `convertToEntityAttribute(String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextMapAttributeConverter

    public ContextMapAttributeConverter()

Method Detail

### convertToDatabaseColumn

    public String convertToDatabaseColumn(Map<String,String> contextMap)

  Specified by:
    `convertToDatabaseColumn` in interface `AttributeConverter<Map<String,String>,String>`

### convertToEntityAttribute

    public Map<String,String> convertToEntityAttribute(String s)

  Specified by:
    `convertToEntityAttribute` in interface `AttributeConverter<Map<String,String>,String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.